curl --request POST \
--url https://api.linkup.so/v1/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://docs.linkup.so",
"extractImages": false,
"includeRawHtml": false,
"renderJs": false
}
'{
"markdown": "Get started for free, no credit card required...",
"images": [
{
"alt": "Image 1",
"url": "https://example.com/image.jpg"
},
{
"alt": "Image 2",
"url": "https://example.com/image2.jpg"
}
],
"rawHtml": "<!DOCTYPE html><html lang=\"en\"><head>...</head><body>...</body></html>"
}/fetch
The /fetch endpoint allows you to fetch a single webpage from a given URL.
curl --request POST \
--url https://api.linkup.so/v1/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://docs.linkup.so",
"extractImages": false,
"includeRawHtml": false,
"renderJs": false
}
'{
"markdown": "Get started for free, no credit card required...",
"images": [
{
"alt": "Image 1",
"url": "https://example.com/image.jpg"
},
{
"alt": "Image 2",
"url": "https://example.com/image2.jpg"
}
],
"rawHtml": "<!DOCTYPE html><html lang=\"en\"><head>...</head><body>...</body></html>"
}Documentation Index
Fetch the complete documentation index at: https://docs.linkup.so/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The URL of the webpage you want to fetch.
"https://docs.linkup.so"
Defines whether the API should extract the images from the webpage in its response.
false
Defines whether the API should include the raw HTML of the webpage in its response.
false
Defines whether the API should render the JavaScript of the webpage.
false
Response
Successful response
The clean markdown version of the webpage.
"Get started for free, no credit card required..."
List of images extracted from the webpage.
Show child attributes
Show child attributes
[
{
"alt": "Image 1",
"url": "https://example.com/image.jpg"
},
{
"alt": "Image 2",
"url": "https://example.com/image2.jpg"
}
]The raw HTML version of the webpage.
"<!DOCTYPE html><html lang=\"en\"><head>...</head><body>...</body></html>"